Page MenuHomePhabricator

[Epic] Upgrade paymentswiki to MediaWiki REL_* release branch or follow the WMF train. Upgrage PHP to HHVM or PHP 5.5
Closed, ResolvedPublic

Description

This is becoming urgent, because the language differences (short array syntax) will make it increasingly annoying to backport security fixes from WMF production.

Note that we should go ahead and switch to HHVM (T91899) rather than bothering with Zend PHP 5.5.

Event Timeline

awight created this task.Mar 16 2016, 5:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 16 2016, 5:14 PM
awight triaged this task as High priority.Mar 16 2016, 5:14 PM
DStrine set the point value for this task to 2.Mar 22 2016, 7:25 PM
Jgreen renamed this task from Upgrade payments to MediaWiki 1.26 + PHP 5.5 to Upgrade payments to MediaWiki 1.26 + HHVM or PHP 5.5.Jun 3 2016, 4:55 PM
awight renamed this task from Upgrade payments to MediaWiki 1.26 + HHVM or PHP 5.5 to Upgrade paymentswiki to MediaWiki REL_* release branch or follow the WMF train. Upgrage PHP to HHVM or PHP 5.5.Jun 3 2016, 5:32 PM
awight updated the task description. (Show Details)
Jgreen added a comment.Jun 3 2016, 5:59 PM

There is a fairly long chain of dependencies to switch to HHVM, and recent issues in production (T133674, others) make me think we should proceed with caution. Meanwhile we get a bump to php 5.6.17 as we replace payments servers with Jessie hosts. So for the short term I would like to focus on server replacement with Jessie, test and upgrade payments-wiki MW to match core, and then come back to the HHVM question at a later date. Does that sound ok awight?

awight added a comment.Jun 3 2016, 6:36 PM

That would be great! The only additional benefit we might get from HHVM
would be to cut PHP cpu load by 50%, but that can be an optimization for
later. This card is concerned with the breaking language changes, so
Jessie is a perfect solution.

Krenair added a subscriber: Krenair.Jun 4 2016, 6:05 AM
awight renamed this task from Upgrade paymentswiki to MediaWiki REL_* release branch or follow the WMF train. Upgrage PHP to HHVM or PHP 5.5 to [Epic] Upgrade paymentswiki to MediaWiki REL_* release branch or follow the WMF train. Upgrage PHP to HHVM or PHP 5.5.Jun 7 2016, 6:41 PM
awight added a project: Epic.
awight removed the point value for this task.
Jgreen lowered the priority of this task from High to Normal.Jun 8 2016, 12:39 PM

changing to 'normal' priority since it's a tracking task, will leave the dependent tasks as high priority

That would be great! The only additional benefit we might get from HHVM
would be to cut PHP cpu load by 50%, but that can be an optimization for
later. This card is concerned with the breaking language changes, so
Jessie is a perfect solution.

As of PHP 5.5 (Jessie has 5.6), there is an opcache extension included (only needs to be enabled in config), which caches compiled bytecode in the memory. Together with the other performance improvements since 5.4 (assuming paymentswiki runs on 5.3 now), CPU usage / response time should already decrease without using HHVM (so you get some more headroom before HHVM is really needed).

Jgreen reassigned this task from Jgreen to awight.Sep 8 2016, 2:13 PM
Jgreen added a subscriber: Jgreen.

@awight I think we're done with this, can you confirm and close it?

Jgreen closed this task as Resolved.Mar 15 2017, 3:24 PM

Closing task because AFAICT it was completed by 9/2016, and there have been no updates since then.

mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM